
define debproxy::activateclient ( $debproxyhost ) { 
	file { "/etc/apt/apt.conf.d/01proxy":
	ensure => "present",
	content => "Acquire::http { Proxy \"http://localhost:3142\"; };\n",
	require => Package["apt-cacher"]
	}
}


class debproxy::server {
	package { "apt-cacher": ensure => installed }

        line { aptcacher_off:
        file => "/etc/default/apt-cacher",
        line => 'AUTOSTART=0',
        ensure => absent,
        require => Package["apt-cacher"]
        }
        line { aptcacher_on:
        file => "/etc/default/apt-cacher",
        line => 'AUTOSTART=1',
        ensure => present,
        require => Package["apt-cacher"]
        }
}

